Subject: Re: linux-next: build failure in the staging tree (Was: kisskb: FAILED linux-next/s390-allmodconfig/s390x Mon Jul 31, 17:24)

From: Greg KH <[email-masked]>
Date: Mon, 31 Jul 2017 08:58:50 -0700

On Mon, Jul 31, 2017 at 09:55:14AM +0000, Laurentiu Tudor wrote:
> Hi Stephen,
> 
> That's because the fsl-mc driver selects GENERIC_MSI_IRQ_DOMAIN and not 
> all arches implement the support for the option. I can submit a patch 
> that adds explicit dependencies on arches that it was build-tested (x86, 
> arm, powerpc, all both 32 and 64 bits) similar to how it's done here 
> [1]. Let me know if you're ok with this fix and i'll submit the fix to 
> staging.

Ugh, you should not be selecting that option, but rather depending on
the option, right?

thanks,

greg k-h